<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns="Omnidex"
           targetNamespace="Omnidex"
           elementFormDefault="qualified"
           version="50200">
  <xs:annotation>
    <xs:documentation xml:lang="en">
      Omnidex schema definition
      Copyright 2011 Dynamic Information Systems Corporation.  All rights reserved.
    </xs:documentation>
  </xs:annotation>

  <!-- ******************* -->
  <!-- *** ENVIRONMENT *** -->
  <!-- ******************* -->
  <!-- *** <environment> *** -->
  <xs:element name="environment" type="environmentType" >
    <xs:annotation>
      <xs:appinfo>table:ENVIRONMENT</xs:appinfo>
      <xs:documentation source="Omnidex_xsd.htm#environment"/>
    </xs:annotation>
  </xs:element>
  <!-- ******************* -->
  <!-- *** ENVIRONMENT *** -->
  <!-- ******************* -->
  <xs:complexType name="environmentType">
    <xs:sequence>
      <!-- *** <environment><name> *** -->
      <xs:element name="name" type="nameType" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:ENVIRONMENT.NAME datatype:CHARACTER(32)</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.name"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><masterEnvironmentHost> *** -->
      <xs:element name="masterEnvironmentHost" type="xs:string" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:ENVIRONMENT.MASTER_ENVIRONMENT_HOST datatype:CHARACTER(64)</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.masterEnvironmentHost"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><masterEnvironmentFilename> *** -->
      <xs:element name="masterEnvironmentFilename" type="physicalType" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:ENVIRONMENT.MASTER_ENVIRONMENT_FILENAME datatype:CHARACTER(255)</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.masterEnvironmentFilename"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><maxThreads> *** -->
      <xs:element name="maxThreads" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:ENVIRONMENT.MAX_THREADS datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.maxThreads"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><updates> *** -->
      <xs:element name="updates" type="xs:string" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:ENVIRONMENT.UPDATES datatype:CHARACTER(255)</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.updates"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><options> *** -->
      <xs:element name="options" type="xs:string" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:ENVIRONMENT.OPTIONS datatype:CHARACTER(255)</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.options"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><tempDirectory> *** -->
      <xs:element name="tempDirectory" type="physicalType" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:ENVIRONMENT.TEMP_DIRECTORY datatype:CHARACTER(255)</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.tempDirectory"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><sharedTempDirectory> *** -->
      <xs:element name="sharedTempDirectory" type="physicalType" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:ENVIRONMENT.SHARED_TEMP_DIRECTORY datatype:CHARACTER(255)</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.sharedTempDirectory"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><application> *** -->
      <xs:element name="application" type="applicationType" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>exclude</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.application"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><documentation> *** -->
      <xs:element name="documentation" type="documentationType" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>exclude</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.documentation"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><nodes> *** -->
      <xs:element name="nodes" type="environmentNodesType" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>table:ENVIRONMENT_NODES inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.nodes"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases> *** -->
      <xs:element name="databases" type="databasesType" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>table:DATABASES inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases"/>
        </xs:annotation>
      </xs:element>
    </xs:sequence>
    <!-- *** <environment number=x> *** -->
    <xs:attribute name="number" type="xs:positiveInteger" use="optional">
      <xs:annotation>
        <xs:appinfo>column:ENVIRONMENT.NUMBER datatype:INTEGER</xs:appinfo>
        <xs:documentation source="Omnidex_xsd.htm#environment.number"/>
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>
  <!-- ************************* -->
  <!-- *** ENVIRONMENT NODES *** -->
  <!-- ************************* -->
  <xs:complexType name="environmentNodesType">
    <xs:sequence>
      <!-- *** <environment><nodes><numNodes> *** -->
      <xs:element name="numNodes" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:ENVIRONMENT.NUM_NODES datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.nodes.numNodes"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><nodes><node> *** -->
      <xs:element name="node" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:DATABASE_NODES</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><nodes><node><type> *** -->
            <xs:element name="type" type="environmentNodeTypeType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:ENVIRONMENT_NODES.TYPE datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.nodes.node.type"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><nodes><node><name> *** -->
            <xs:element name="name" type="nameType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:ENVIRONMENT_NODES.NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.nodes.node.name"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><nodes><node><connectionString> *** -->
            <xs:element name="connectionString" type="xs:string" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:ENVIRONMENT_NODES.CONNECTION_STRING datatype:CHARACTER(2062)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.nodes.node.connectionString"/>
              </xs:annotation>
            </xs:element>
          </xs:all>
          <!-- *** <environment><nodes><node number=x> *** -->
          <xs:attribute name="number" type="xs:positiveInteger" use="optional">
            <xs:annotation>
              <xs:appinfo>column:ENVIRONMENT_NODES.NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.nodes.node.number"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- **************** -->
  <!-- *** DATABASE *** -->
  <!-- **************** -->
  <xs:complexType name="databasesType">
    <xs:sequence>
      <!-- *** <environment><databases><num_databases> *** -->
      <xs:element name="numDatabases" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:ENVIRONMENT.NUM_DATABASES datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.numDatabases"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database> *** -->
      <xs:element name="database" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:DATABASES</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><name> *** -->
            <xs:element name="name" type="nameType" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:DATABASES.NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.name"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><controller> *** -->
            <xs:element name="controller" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.controller"/>
              </xs:annotation>
              <xs:complexType>
                <xs:all>
                  <!-- *** <environment><databases><database><controller><indexDirectory> *** -->
                  <xs:element name="indexDirectory" type="physicalType" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:DATABASES.INDEX_DIRECTORY datatype:CHARACTER(255)</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.controller.indexDirectory"/>
                    </xs:annotation>
                  </xs:element>
                </xs:all>
              </xs:complexType>
            </xs:element>
            <!-- *** <environment><databases><database><updates> *** -->
            <xs:element name="updates" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.updates"/>
              </xs:annotation>
              <xs:complexType>
                <xs:all>
                  <!-- *** <environment><databases><database><updates><indexDirectory> *** -->
                  <xs:element name="indexDirectory" type="physicalType" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:DATABASES.UPDATES_INDEX_DIRECTORY datatype:CHARACTER(255)</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.updates.indexDirectory"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><updates><dataDirectory> *** -->
                  <xs:element name="dataDirectory" type="physicalType" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:DATABASES.UPDATES_DATA_DIRECTORY datatype:CHARACTER(255)</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.updates.dataDirectory"/>
                    </xs:annotation>
                  </xs:element>
                </xs:all>
              </xs:complexType>
            </xs:element>
            <!-- *** <environment><databases><database><application> *** -->
            <xs:element name="application" type="applicationType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>exclude</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.application"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><documentation> *** -->
            <xs:element name="documentation" type="documentationType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>exclude</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.documentation"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><nodes> *** -->
            <xs:element name="nodes" type="databaseNodesType" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:DATABASE_NODES inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><indexGroups> *** -->
            <xs:element name="indexGroups" type="indexGroupsType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:INDEX_GROUPS inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables> *** -->
            <xs:element name="tables" type="tablesType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:TABLES inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables"/>
              </xs:annotation>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database number=x> *** -->
          <xs:attribute name="number" type="xs:positiveInteger" use="optional" >
            <xs:annotation>
              <xs:appinfo>column:DATABASES.NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.number"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- ********************** -->
  <!-- *** DATABASE NODES *** -->
  <!-- ********************** -->
  <xs:complexType name="databaseNodesType">
    <xs:sequence>
      <!-- *** <environment><databases><database><nodes><numNodes> *** -->
      <xs:element name="numNodes" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:DATABASES.NUM_NODES datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.numNodes"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database><nodes><node> *** -->
      <xs:element name="node" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:DATABASE_NODES</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><nodes><node><nodeName> *** -->
            <xs:element name="nodeName" type="nameType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:DATABASE_NODES.NODE_NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.nodeName"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><nodes><node><indexDirectory> *** -->
            <xs:element name="indexDirectory" type="physicalType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:DATABASE_NODES.INDEX_DIRECTORY datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.indexDirectory"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><nodes><node><indexMaintenance> *** -->
            <xs:element name="indexMaintenance" type="indexMaintenanceType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:DATABASE_NODES.INDEX_MAINTENANCE datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.indexMaintenance"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><nodes><node><physical> *** -->
            <xs:element name="physical" type="physicalType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:DATABASE_NODES.PHYSICAL datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.physical"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><nodes><node><user> *** -->
            <xs:element name="user" type="physicalType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:DATABASE_NODES.USER datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.user"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><nodes><node><password> *** -->
            <xs:element name="password" type="physicalType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:DATABASE_NODES.PASSWORD datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.password"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><nodes><node><updates> *** -->
            <xs:element name="updates" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.updates"/>
              </xs:annotation>
              <xs:complexType>
                <xs:all>
                  <!-- *** <environment><databases><database><nodes><node><updates><segmentDirectory> *** -->
                  <xs:element name="segmentDirectory" type="physicalType" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:DATABASE_NODES.UPDATES_SEGMENT_DIRECTORY datatype:CHARACTER(255)</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.updates.segmentDirectory"/>
                    </xs:annotation>
                  </xs:element>
                </xs:all>
              </xs:complexType>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database><nodes><node nodeNumber=x> *** -->
          <xs:attribute name="nodeNumber" type="xs:positiveInteger" use="optional">
            <xs:annotation>
              <xs:appinfo>column:DATABASE_NODES.NODE_NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.nodeNumber"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><nodes><node type=x> *** -->
          <xs:attribute name="type" type="databaseTypeType" use="required">
            <xs:annotation>
              <xs:appinfo>column:DATABASE_NODES.TYPE datatype:CHARACTER(32)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.type"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><nodes><node subtype=x> *** -->
          <xs:attribute name="subtype" type="databaseSubtypeType" use="optional" >
            <xs:annotation>
              <xs:appinfo>column:DATABASE_NODES.SUBTYPE datatype:CHARACTER(32)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.subtype"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><nodes><node version=x> *** -->
          <xs:attribute name="version" type="tokenType" use="optional">
            <xs:annotation>
              <xs:appinfo>column:DATABASE_NODES.VERSION datatype:CHARACTER(32)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.nodes.node.version"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- ******************** -->
  <!-- *** INDEX GROUPS *** -->
  <!-- ******************** -->
  <xs:complexType name="indexGroupsType">
    <xs:sequence>
      <!-- *** <environment><databases><database><indexGroups><numIndexGroups> *** -->
      <xs:element name="numIndexGroups" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:DATABASES.NUM_INDEX_GROUPS datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups.numIndexGroups"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database><indexGroups><indexGroup> *** -->
      <xs:element name="indexGroup" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:INDEX_GROUPS</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups.indexGroup"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><indexGroups><indexGroup><name> *** -->
            <xs:element name="name" type="nameType" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:INDEX_GROUPS.NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups.indexGroup.name"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><indexGroups><indexGroup><ownerTableName> *** -->
            <xs:element name="ownerTableName" type="nameType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:INDEX_GROUPS.OWNER_TABLE_NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups.indexGroup.ownerTableName"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><indexGroups><indexGroup><indexGroupIndexes> *** -->
            <xs:element name="indexGroupIndexes" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:INDEX_GROUP_INDEXES inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER,INDEX_GROUPS.NUMBER INDEX_GROUP_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups.indexGroup.indexGroupIndexes"/>
              </xs:annotation>
              <xs:complexType>
                <xs:sequence>
                  <!-- *** <environment><databases><database><indexGroups><indexGroup><numIndexGroupIndexes> *** -->
                  <xs:element name="numIndexGroupIndexes" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEX_GROUP_INDEXES.NUM_INDEX_GROUP_INDEXES datatype:INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups.indexGroup.numIndexGroupIndexes"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><indexGroups><indexGroup><indexGroupIndexes><indexGroupIndex> *** -->
                  <xs:element name="indexGroupIndex" minOccurs="1" maxOccurs="unbounded" >
                    <xs:annotation>
                      <xs:appinfo>row:INDEX_GROUP_INDEXES</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups.indexGroup.indexGroupIndexes.indexGroupIndex"/>
                    </xs:annotation>
                    <xs:complexType>
                      <xs:all>
                        <!-- *** <environment><databases><database><indexGroups><indexGroup><indexGroupIndexes><indexGroupIndex><name> *** -->
                        <xs:element name="name" type="nameType" minOccurs="1" maxOccurs="1" >
                          <xs:annotation>
                            <xs:appinfo>column:INDEX_GROUP_INDEXES.NAME datatype:CHARACTER(32)</xs:appinfo>
                            <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups.indexGroup.indexGroupIndexes.indexGroupIndex.name"/>
                          </xs:annotation>
                        </xs:element>
                        <!-- *** <environment><databases><database><indexGroups><indexGroup><indexGroupIndexes><indexGroupIndex><tableName> *** -->
                        <xs:element name="tableName" type="nameType" minOccurs="1" maxOccurs="1" >
                          <xs:annotation>
                            <xs:appinfo>column:INDEX_GROUP_INDEXES.TABLE_NAME datatype:CHARACTER(32)</xs:appinfo>
                            <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups.indexGroup.indexGroupIndexes.indexGroupIndex.tableName"/>
                          </xs:annotation>
                        </xs:element>
                      </xs:all>
                      <!-- *** <environment><databases><database><indexGroups><indexGroup><indexGroupIndexes><indexGroupIndex number=x> *** -->
                      <xs:attribute name="number" type="xs:positiveInteger" use="optional">
                        <xs:annotation>
                          <xs:appinfo>column:INDEX_GROUP_INDEXES.NUMBER datatype:INTEGER</xs:appinfo>
                          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups.indexGroup.indexGroupIndexes.indexGroupIndex.number"/>
                        </xs:annotation>
                      </xs:attribute>
                    </xs:complexType>
                  </xs:element>
                </xs:sequence>
              </xs:complexType>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database>indexGroups><indexGroup number=x> *** -->
          <xs:attribute name="number" type="xs:positiveInteger" use="optional">
            <xs:annotation>
              <xs:appinfo>column:INDEX_GROUPS.NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.indexGroups.indexGroup.number"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- ************** -->
  <!-- *** TABLES *** -->
  <!-- ************** -->
  <xs:complexType name="tablesType">
    <xs:sequence>
      <!-- *** <environment><databases><database><tables><numTables> *** -->
      <xs:element name="numTables" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:DATABASES.NUM_TABLES datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.numTables."/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database><tables><table> *** -->
      <xs:element name="table" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:TABLES</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table."/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><tables><table><name> *** -->
            <xs:element name="name" type="nameType" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLES.NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.name"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><as> *** -->
            <xs:element name="as" type="xs:string" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLES.AS datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.as"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><statistics> *** -->
            <xs:element name="statistics" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.statistics"/>
              </xs:annotation>
              <xs:complexType>
                <xs:all>
                  <!-- *** <environment><databases><database><tables><table><statistics><cardinality> *** -->
                  <xs:element name="cardinality" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:TABLES.CARDINALITY datatype:UNSIGNED INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.statistics.cardinality"/>
                    </xs:annotation>
                  </xs:element>
                </xs:all>
              </xs:complexType>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><application> *** -->
            <xs:element name="application" type="applicationType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>exclude</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.application"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><documentation> *** -->
            <xs:element name="documentation" type="documentationType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>exclude</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.documentation"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><prejoinedTables> *** -->
            <xs:element name="prejoinedTables" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.prejoinedTables"/>
              </xs:annotation>
              <xs:complexType>
                <xs:sequence>
                  <!-- *** <environment><databases><database><tables><table><prejoinedTables><numPrejoinedTables> *** -->
                  <xs:element name="numPrejoinedTables" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:TABLES.NUM_PREJOINED_TABLES datatype:INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.prejoinedTables.numPrejoinedTables"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><prejoinedTables><prejoinedTable> *** -->
                  <xs:element name="prejoinedTable" minOccurs="1" maxOccurs="unbounded" >
                    <xs:annotation>
                      <xs:appinfo>exclude</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.prejoinedTables.prejoinedTable"/>
                    </xs:annotation>
                    <xs:complexType>
                      <xs:all>
                        <!-- *** <environment><databases><database><tables><table><prejoinedTables><prejoinedTable><name> *** -->
                        <xs:element name="name" type="nameType" minOccurs="1" maxOccurs="1" >
                          <xs:annotation>
                            <xs:appinfo>exclude</xs:appinfo>
                            <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.prejoinedTables.prejoinedTable.name"/>
                          </xs:annotation>
                        </xs:element>
                      </xs:all>
                      <!-- *** <environment><databases><database><tables><table><prejoinedTables><prejoinedTable userRequested=x> *** -->
                      <xs:attribute name="userRequested" type="xs:boolean" use="optional" >
                        <xs:annotation>
                          <xs:appinfo>exclude</xs:appinfo>
                          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.prejoinedTables.prejoinedTable.userRequested"/>
                        </xs:annotation>
                      </xs:attribute>
                    </xs:complexType>
                  </xs:element>
                </xs:sequence>
              </xs:complexType>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><nodes> *** -->
            <xs:element name="nodes" type="tableNodesType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:TABLE_NODES inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER,TABLES.NUMBER TABLE_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><indexes> *** -->
            <xs:element name="indexes" type="indexesType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:INDEXES inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER,TABLES.NUMBER TABLE_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><constraints> *** -->
            <xs:element name="constraints" type="constraintsType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:TABLE_CONSTRAINTS inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER,TABLES.NUMBER TABLE_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><partitions> *** -->
            <xs:element name="partitions" type="partitionsType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:TABLE_PARTITIONS inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER,TABLES.NUMBER TABLE_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.partitions"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns> *** -->
            <xs:element name="columns" type="columnsType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:COLUMNS inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER,TABLES.NUMBER TABLE_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns"/>
              </xs:annotation>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database><tables><table nativeRecordLength=x> *** -->
          <xs:attribute name="nativeRecordLength" type="xs:positiveInteger" use="optional">
            <xs:annotation>
              <xs:appinfo>column:TABLES.NATIVE_RECORD_LENGTH datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nativeRecordLength"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table number=x> *** -->
          <xs:attribute name="number" type="xs:positiveInteger" use="optional">
            <xs:annotation>
              <xs:appinfo>column:TABLES.NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.number"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table omnidexTableType=x> *** -->
          <xs:attribute name="omnidexTableType" type="omnidexDomainType" use="optional">
            <xs:annotation>
              <xs:appinfo>column:OMNIDEX_TABLE_TYPE datatype:CHARACTER(32)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.omnidexTableType"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table recordLength=x> *** -->
          <xs:attribute name="recordLength" type="xs:positiveInteger" use="optional">
            <xs:annotation>
              <xs:appinfo>column:TABLES.RECORD_LENGTH datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.recordLength"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table persistence=x> *** -->
          <xs:attribute name="persistence" type="tablePersistenceType" use="optional">
            <xs:annotation>
              <xs:appinfo>column:TABLES.PERSISTENCE datatype:CHARACTER(32)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.persistence"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table type=x> *** -->
          <xs:attribute name="type" type="tableTypeType" use="optional">
            <xs:annotation>
              <xs:appinfo>column:TABLES.TYPE datatype:CHARACTER(32)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.type"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- ******************* -->
  <!-- *** TABLE NODES *** -->
  <!-- ******************* -->
  <xs:complexType name="tableNodesType">
    <xs:sequence>
      <!-- *** <environment><databases><database><tables><table><nodes><numNodes> *** -->
      <xs:element name="numNodes" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:TABLES.NUM_NODES datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.numNodes"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database><tables><table><nodes><node> *** -->
      <xs:element name="node" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:TABLE_NODES</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><tables><table><nodes><node><nodeName> *** -->
            <xs:element name="nodeName" type="nameType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_NODES.NODE_NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.nodeName"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><nodes><node><physical> *** -->
            <xs:element name="physical" type="xs:string" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_NODES.PHYSICAL datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.physical"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><nodes><node><options> *** -->
            <xs:element name="options" type="optionsType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_NODES.OPTIONS datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.options"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><nodes><node><partitionBy> *** -->
            <xs:element name="partitionBy" type="xs:string" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_NODES.PARTITION_BY datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.partitionBy"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><nodes><node><indexMaintenance> *** -->
            <xs:element name="indexMaintenance" type="indexMaintenanceType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_NODES.INDEX_MAINTENANCE datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.indexMaintenance"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><nodes><node><dataCaching> *** -->
            <xs:element name="dataCaching" type="tableCachingTypeType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_NODES.DATA_CACHING datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.dataCaching"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><nodes><node><autoFilter> *** -->
            <xs:element name="autoFilter" type="xs:string" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_NODES.AUTOFILTER datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.autoFilter"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><nodes><node><statistics> *** -->
            <xs:element name="statistics" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.statistics"/>
              </xs:annotation>
              <xs:complexType>
                <xs:all>
                  <!-- *** <environment><databases><database><tables><table><nodes><node><statistics><cardinality> *** -->
                  <xs:element name="cardinality" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:TABLE_NODES.CARDINALITY datatype:UNSIGNED INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.statistics.cardinality"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><nodes><node><statistics><dateModified> *** -->
                  <xs:element name="dateModified" type="xs:dateTime" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:TABLE_NODES.DATE_MODIFIED datatype:ANSI DATETIME</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.statistics.dateModified"/>
                    </xs:annotation>
                  </xs:element>
                </xs:all>
              </xs:complexType>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database><tables><table><nodes><node nodeNumber=x> *** -->
          <xs:attribute name="nodeNumber" type="xs:positiveInteger" use="optional">
            <xs:annotation>
              <xs:appinfo>column:TABLE_NODES.NODE_NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.nodeNumber"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table><nodes><node partition=x> *** -->
          <xs:attribute name="partition" type="xs:boolean" use="optional">
            <xs:annotation>
              <xs:appinfo>column:TABLE_NODES.PARTITION datatype:CHARACTER(5)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.partition"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table><nodes><node unindexed=x> *** -->
          <xs:attribute name="unindexed" type="xs:boolean" use="optional">
            <xs:annotation>
              <xs:appinfo>column:TABLE_NODES.UNINDEXED datatype:CHARACTER(5)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.nodes.node.unindexed"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- ****************** -->
  <!-- *** CONSTRAINT *** -->
  <!-- ****************** -->
  <xs:complexType name="constraintsType">
    <xs:sequence>
      <!-- *** <environment><databases><database><tables><table><constraints><numConstraints> *** -->
      <xs:element name="numConstraints" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:TABLES.NUM_CONSTRAINTS datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.numConstraints"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database><tables><table><constraints><constraint> *** -->
      <xs:element name="constraint" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:TABLE_CONSTRAINTS</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.constraint"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><tables><table><constraints><constraint><name> *** -->
            <xs:element name="name" type="nameType" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_CONSTRAINTS.NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.constraint.name"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><constraints><constraint><constraintColumns> *** -->
            <xs:element name="constraintColumns" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:TABLE_CONSTRAINT_COLUMNS inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER,TABLES.NUMBER TABLE_NUMBER,TABLE_CONSTRAINTS.NUMBER CONSTRAINT_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.constraint.columns"/>
              </xs:annotation>
              <xs:complexType>
                <xs:sequence>
                  <!-- *** <environment><databases><database><tables><table><constraints><constraint><numConstraintColumns> *** -->
                  <xs:element name="numConstraintColumns" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:TABLE_CONSTRAINTS.NUM_CONSTRAINT_COLUMNS datatype:INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.constraint.numConstraintColumns"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><constraints><constraint><columns><constraintColumn> *** -->
                  <xs:element name="constraintColumn" minOccurs="1" maxOccurs="unbounded" >
                    <xs:annotation>
                      <xs:appinfo>row:TABLE_CONSTRAINT_COLUMNS</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.constraint.constraintColumns.constraintColumn"/>
                    </xs:annotation>
                    <xs:complexType>
                      <xs:all>
                        <!-- *** <environment><databases><database><tables><table><constraints><constraint><constraintColumns><constraintColumn><name> *** -->
                        <xs:element name="name" type="nameType" minOccurs="1" maxOccurs="1" >
                          <xs:annotation>
                            <xs:appinfo>column:TABLE_CONSTRAINT_COLUMNS.NAME datatype:CHARACTER(32)</xs:appinfo>
                            <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.constraint.constraintColumns.constraintColumn.name"/>
                          </xs:annotation>
                        </xs:element>
                      </xs:all>
                      <!-- *** <environment><databases><database><tables><table><constraints><constraint><constraintColumns><constraintColumn number=x> *** -->
                      <xs:attribute name="number" type="xs:positiveInteger" use="optional">
                        <xs:annotation>
                          <xs:appinfo>column:TABLE_CONSTRAINT_COLUMNS.NUMBER datatype:INTEGER</xs:appinfo>
                          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.constraint.constraintColumns.constraintColumn.number"/>
                        </xs:annotation>
                      </xs:attribute>
                    </xs:complexType>
                  </xs:element>
                </xs:sequence>
              </xs:complexType>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><constraints><constraint><referenceConstraintName> *** -->
            <xs:element name="referenceConstraintName" type="nameType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_CONSTRAINTS.REFERENCE_CONSTRAINT_NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.constraint.referenceConstraintName"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><constraints><constraint><referenceTableName> *** -->
            <xs:element name="referenceTableName" type="nameType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_CONSTRAINTS.REFERENCE_TABLE_NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.constraint.referenceTableName"/>
              </xs:annotation>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database><tables><table><constraints><constraint number=x> *** -->
          <xs:attribute name="number" type="xs:positiveInteger" use="optional">
            <xs:annotation>
              <xs:appinfo>column:TABLE_CONSTRAINTS.NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.constraint.number"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table><constraints><constraint type=x> *** -->
          <xs:attribute name="type" type="tableConstraintType" use="required">
            <xs:annotation>
              <xs:appinfo>column:TABLE_CONSTRAINTS.TYPE datatype:CHARACTER(32)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.constraints.constraint.type"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- ****************** -->
  <!-- *** PARTITIONS *** -->
  <!-- ****************** -->
  <xs:complexType name="partitionsType">
    <xs:sequence>
      <!-- *** <environment><databases><database><tables><table><partitions><numPartitions> *** -->
      <xs:element name="numPartitions" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:TABLES.NUM_PARTITIONS datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.partitions.numPartitions"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database><tables><table><partitions><partition> *** -->
      <xs:element name="partition" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:TABLE_PARTITIONS</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.partitions.partition"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><tables><table><partitions><partition><name> *** -->
            <xs:element name="name" type="nameType" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_PARTITIONS.NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.partitions.partition.name"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><partitions><partition><physical> *** -->
            <xs:element name="physical" type="physicalType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_PARTITIONS.PHYSICAL datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.partitions.partition.physical"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><partitions><partition><partitionBy> *** -->
            <xs:element name="partitionBy" type="xs:string" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:TABLE_PARTITIONS.PARTITION_BY datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.partitions.partition.partitionBy"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><partitions><partition><application> *** -->
            <xs:element name="application" type="applicationType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>exclude</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.partitions.partition.application"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><partitions><partition><documentation> *** -->
            <xs:element name="documentation" type="documentationType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>exclude</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.partitions.partition.documentation"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><partitions><partition><statistics> *** -->
            <xs:element name="statistics" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.partitions.partition.statistics"/>
              </xs:annotation>
              <xs:complexType>
                <xs:all>
                  <!-- *** <environment><databases><database><tables><table><partitions><partition><statistics><cardinality> *** -->
                  <xs:element name="cardinality" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:TABLE_PARTITIONS.CARDINALITY datatype:UNSIGNED INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.partitions.partition.statistics.cardinality"/>
                    </xs:annotation>
                  </xs:element>
                </xs:all>
              </xs:complexType>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database><tables><table><partitions><partition number=x> *** -->
          <xs:attribute name="number" type="xs:positiveInteger" use="optional" >
            <xs:annotation>
              <xs:appinfo>column:TABLE_PARTITIONS.NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.partitions.partition.number"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- *************** -->
  <!-- *** COLUMNS *** -->
  <!-- *************** -->
  <xs:complexType name="columnsType">
    <xs:sequence>
      <!-- *** <environment><databases><database><tables><table><columns><numColumns> *** -->
      <xs:element name="numColumns" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:TABLES.NUM_COLUMNS datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.numColumns"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database><tables><table><columns><column> *** -->
      <xs:element name="column" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:COLUMNS</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><tables><table><columns><column><name> *** -->
            <xs:element name="name" type="nameType" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:COLUMNS.NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.name"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><physical> *** -->
            <xs:element name="physical" type="physicalType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:COLUMNS.PHYSICAL datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.physical"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><datatype> *** -->
            <xs:element name="datatype" type="datatypeType" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:COLUMNS.DATATYPE datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.datatype"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><length> *** -->
            <xs:element name="length" type="xs:positiveInteger" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:COLUMNS.LENGTH datatype:INTEGER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.length"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><usage> *** -->
            <xs:element name="usage" type="tokenType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:COLUMNS.USAGE datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.usage"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><format> *** -->
            <xs:element name="format" type="columnFormatType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:COLUMNS.FORMAT datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.format"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><pseudoColumn> *** -->
            <xs:element name="pseudoColumn" type="xs:string" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:COLUMNS.PSEUDO_COLUMN datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.pseudoColumn"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><default> *** -->
            <xs:element name="default" type="columnDefaultType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:COLUMNS.DEFAULT datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.default"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><statistics> *** -->
            <xs:element name="statistics" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.statistics"/>
              </xs:annotation>
              <xs:complexType>
                <xs:all>
                  <!-- *** <environment><databases><database><tables><table><columns><column><statistics><cardinality> *** -->
                  <xs:element name="cardinality" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:COLUMNS.CARDINALITY datatype:UNSIGNED INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.statistics.cardinality"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><columns><column><statistics><cardinalityType> *** -->
                  <xs:element name="cardinalityType" type="columnCardinalityTypeType" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:COLUMNS.CARDINALITY_Type datatype:CHARACTER(32)</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.statistics.cardinalityType"/>
                    </xs:annotation>
                  </xs:element>
                </xs:all>
              </xs:complexType>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><application> *** -->
            <xs:element name="application" type="applicationType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>exclude</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.application"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><documentation> *** -->
            <xs:element name="documentation" type="documentationType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>exclude</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.documentation"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><nodes> *** -->
            <xs:element name="nodes" type="columnNodesType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:COLUMN_NODES inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER,TABLES.NUMBER TABLE_NUMBER,COLUMNS.NUMBER COLUMN_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.nodes"/>
              </xs:annotation>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database><tables><table><columns><column number=x> *** -->
          <xs:attribute name="number" type="xs:positiveInteger" use="optional">
            <xs:annotation>
              <xs:appinfo>column:COLUMNS.NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.number"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table><columns><column type=x> *** -->
          <xs:attribute name="type" type="columnTypeType" use="optional">
            <xs:annotation>
              <xs:appinfo>column:COLUMNS.TYPE datatype:CHARACTER(32)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.type"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table><columns><column notNull=x> *** -->
          <xs:attribute name="notNull" type="xs:boolean" use="optional">
            <xs:annotation>
              <xs:appinfo>column:COLUMNS.NOT_NULL datatype:CHARACTER(5)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.notNull"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- ******************** -->
  <!-- *** COLUMN NODES *** -->
  <!-- ******************** -->
  <xs:complexType name="columnNodesType">
    <xs:sequence>
      <!-- *** <environment><databases><database><tables><table><columns><column><nodes><numNodes> *** -->
      <xs:element name="numNodes" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:COLUMNS.NUM_NODES datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.nodes.numNodes"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database><tables><table><columns><column><nodes><node> *** -->
      <xs:element name="node" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:COLUMN_NODES</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.nodes.node"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><tables><table><columns><column><nodes><node><nodeName> *** -->
            <xs:element name="nodeName" type="nameType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:COLUMN_NODES.NODE_NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.nodes.node.nodeName"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><columns><column><nodes><node><statistics> *** -->
            <xs:element name="statistics" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.nodes.node.statistics"/>
              </xs:annotation>
              <xs:complexType>
                <xs:all>
                  <!-- *** <environment><databases><database><tables><table><columns><column><nodes><node><statistics><cardinality> *** -->
                  <xs:element name="cardinality" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:COLUMN_NODES.CARDINALITY datatype:UNSIGNED INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.nodes.node.statistics.cardinality"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><columns><column><nodes><node><statistics><cardinalityType> *** -->
                  <xs:element name="cardinalityType" type="columnCardinalityTypeType" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:COLUMN_NODES.CARDINALITY_Type datatype:CHARACTER(32)</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.nodes.node.statistics.cardinalityType"/>
                    </xs:annotation>
                  </xs:element>
                </xs:all>
              </xs:complexType>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database><tables><table><columns><column><nodes><node nodeNumber=x> *** -->
          <xs:attribute name="nodeNumber" type="xs:positiveInteger" use="optional">
            <xs:annotation>
              <xs:appinfo>column:COLUMN_NODES.NODE_NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.columns.column.nodes.node.nodeNumber"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- *************** -->
  <!-- *** INDEXES *** -->
  <!-- *************** -->
  <xs:complexType name="indexesType">
    <xs:sequence>
      <!-- *** <environment><databases><database><tables><table><indexes><numIndexes> *** -->
      <xs:element name="numIndexes" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:TABLES.NUM_INDEXES datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.numIndexes"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database><tables><table><indexes><index> *** -->
      <xs:element name="index" minOccurs="1" maxOccurs="unbounded" >
        <xs:annotation>
          <xs:appinfo>row:INDEXES</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><tables><table><indexes><index><name> *** -->
            <xs:element name="name" type="nameType" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:INDEXES.NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.name"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><indexes><index><physical> *** -->
            <xs:element name="physical" type="physicalType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:INDEXES.PHYSICAL datatype:CHARACTER(255)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.physical"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><indexes><index><omnidexSettings> *** -->
            <xs:element name="omnidexSettings" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.omnidexSettings"/>
              </xs:annotation>
              <xs:complexType>
                <xs:all>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><omnidexSettings><ownerTableName> *** -->
                  <xs:element name="ownerTableName" type="nameType" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEXES.OWNER_TABLE_NAME datatype:CHARACTER(32)</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.omnidexSettings.ownerTableName"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><omnidexSettings><indexSize> *** -->
                  <xs:element name="indexSize" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEXES.INDEX_SIZE datatype:INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.omnidexSettings.indexSize"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><omnidexSettings><indexFilename> *** -->
                  <xs:element name="indexFilename" type="physicalType" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEXES.INDEX_FILENAME datatype:CHARACTER(255)</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.omnidexSettings.indexFilename"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><omnidexSettings><options> *** -->
                  <xs:element name="options" type="indexOptionsType" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEXES.OPTIONS datatype:CHARACTER(255)</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.omnidexSettings.options"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><omnidexSettings><groupName> *** -->
                  <xs:element name="groupName" type="nameType" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEXES.GROUP_NAME datatype:CHARACTER(32)</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.omnidexSettings.groupName"/>
                    </xs:annotation>
                  </xs:element>
                </xs:all>
                <!-- *** <environment><databases><database><tables><table><indexes><omnidexSettings caseInsensitive=x> *** -->
                <xs:attribute name="caseInsensitive" type="xs:boolean" use="optional" >
                  <xs:annotation>
                    <xs:appinfo>column:INDEXES.CASE_INSENSITIVE datatype:CHARACTER(5)</xs:appinfo>
                    <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.omnidexSettings.caseInsensitive"/>
                  </xs:annotation>
                </xs:attribute>
              </xs:complexType>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><indexes><index><statistics> *** -->
            <xs:element name="statistics" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.statistics"/>
              </xs:annotation>
              <xs:complexType>
                <xs:all>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><statistics><cardinality> *** -->
                  <xs:element name="cardinality" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEXES.CARDINALITY datatype:UNSIGNED INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.statistics.cardinality"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><statistics><totalEntries> *** -->
                  <xs:element name="totalEntries" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEXES.TOTAL_ENTRIES datatype:UNSIGNED INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.statistics.totalEntries"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><statistics><numSearches> *** -->
                  <xs:element name="numSearches" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEXES.NUM_SEARCHES datatype:UNSIGNED INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.statistics.numSearches"/>
                    </xs:annotation>
                  </xs:element>
                </xs:all>
              </xs:complexType>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><indexes><index><application> *** -->
            <xs:element name="application" type="applicationType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>exclude</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.application"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><indexes><index><documentation> *** -->
            <xs:element name="documentation" type="documentationType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>exclude</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.documentation"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><indexes><index><nodes> *** -->
            <xs:element name="nodes" type="indexNodesType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:INDEX_NODES inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER,TABLES.NUMBER TABLE_NUMBER,INDEXES.NUMBER INDEX_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.nodes"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><indexes><index><indexComponents> *** -->
            <xs:element name="indexComponents" type="indexComponentsType" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>table:INDEX_COMPONENTS inherit:ENVIRONMENT.NUMBER ENVIRONMENT_NUMBER,DATABASES.NUMBER DATABASE_NUMBER,TABLES.NUMBER TABLE_NUMBER,INDEXES.NUMBER INDEX_NUMBER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.indexComponents"/>
              </xs:annotation>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database><tables><table><indexes><index dataclass=x> *** -->
          <xs:attribute name="dataclass" type="dataclassType" use="optional" >
            <xs:annotation>
              <xs:appinfo>column:INDEXES.DATACLASS datatype:CHARACTER(32)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.dataclass"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table><indexes><index length=x> *** -->
          <xs:attribute name="length" type="xs:positiveInteger" use="optional" >
            <xs:annotation>
              <xs:appinfo>column:INDEXES.LENGTH datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.length"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table><indexes><index number=x> *** -->
          <xs:attribute name="number" type="xs:positiveInteger" use="optional" >
            <xs:annotation>
              <xs:appinfo>column:INDEXES.NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.number"/>
            </xs:annotation>
          </xs:attribute>
          <!-- *** <environment><databases><database><tables><table><indexes><index type=x> *** -->
          <xs:attribute name="type" type="indexTypeType" use="required" >
            <xs:annotation>
              <xs:appinfo>column:INDEXES.TYPE datatype:CHARACTER(32)</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.type"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- ******************* -->
  <!-- *** INDEX NODES *** -->
  <!-- ******************* -->
  <xs:complexType name="indexNodesType">
    <xs:sequence>
      <!-- *** <environment><databases><database><tables><table><indexes><index><nodes><numNodes> *** -->
      <xs:element name="numNodes" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:INDEXES.NUM_NODES datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.nodes.numNodes"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database><tables><table><indexes><index><nodes><node> *** -->
      <xs:element name="node" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:INDEX_NODES</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.nodes.node"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><tables><table><indexes><index><nodes><node><nodeName> *** -->
            <xs:element name="nodeName" type="nameType" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:INDEX_NODES.NODE_NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.nodes.node.nodeName"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><indexes><index><nodes><node><statistics> *** -->
            <xs:element name="statistics" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>INCLUDE_CHILDREN</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.nodes.node.statistics"/>
              </xs:annotation>
              <xs:complexType>
                <xs:all>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><nodes><node><statistics><cardinality> *** -->
                  <xs:element name="cardinality" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEX_NODES.CARDINALITY datatype:UNSIGNED INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.nodes.node.statistics.cardinality"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><nodes><node><statistics><totalEntries> *** -->
                  <xs:element name="totalEntries" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEX_NODES.TOTAL_ENTRIES datatype:UNSIGNED INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.nodes.node.statistics.totalEntries"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><nodes><node><statistics><numSearches> *** -->
                  <xs:element name="numSearches" type="xs:nonNegativeInteger" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEX_NODES.NUM_SEARCHES datatype:UNSIGNED INTEGER</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.nodes.node.statistics.numSearches"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><nodes><node><statistics><dateBuilt> *** -->
                  <xs:element name="dateBuilt" type="xs:dateTime" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEX_NODES.DATE_BUILT datatype:ANSI DATETIME</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.nodes.node.statistics.dateBuilt"/>
                    </xs:annotation>
                  </xs:element>
                  <!-- *** <environment><databases><database><tables><table><indexes><index><nodes><node><statistics><state> *** -->
                  <xs:element name="state" type="indexStateType" minOccurs="0" maxOccurs="1" >
                    <xs:annotation>
                      <xs:appinfo>column:INDEX_NODES.STATE datatype:CHARACTER(32)</xs:appinfo>
                      <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.nodes.node.statistics.state"/>
                    </xs:annotation>
                  </xs:element>
                </xs:all>
              </xs:complexType>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database><tables><table><indexes><index><nodes><node nodeNumber=x> *** -->
          <xs:attribute name="nodeNumber" type="xs:positiveInteger" use="optional">
            <xs:annotation>
              <xs:appinfo>column:INDEX_NODES.NODE_NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.nodes.node.nodeNumber"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- ************************ -->
  <!-- *** INDEX COMPONENTS *** -->
  <!-- ************************ -->
  <xs:complexType name="indexComponentsType">
    <xs:sequence>
      <!-- *** <environment><databases><database><tables><table><indexes><index><indexComponents><numIndexComponents> *** -->
      <xs:element name="numIndexComponents" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:INDEXES.NUM_INDEX_COMPONENTS datatype:INTEGER</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.indexComponents.numIndexComponents"/>
        </xs:annotation>
      </xs:element>
      <!-- *** <environment><databases><database><tables><table><indexes><index><indexComponents><IndexComponent> *** -->
      <xs:element name="indexComponent" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:appinfo>row:INDEX_COMPONENTS</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.indexComponents.indexComponent"/>
        </xs:annotation>
        <xs:complexType>
          <xs:all>
            <!-- *** <environment><databases><database><tables><table><indexes><index><indexComponents><IndexComponent><columnName> *** -->
            <xs:element name="columnName" type="nameType" minOccurs="1" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:INDEX_COMPONENTS.COLUMN_NAME datatype:CHARACTER(32)</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.indexComponents.indexComponent.columnName"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><indexes><index><indexComponents><IndexComponent><startByte> *** -->
            <xs:element name="startByte" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:INDEX_COMPONENTS.START_BYTE datatype:INTEGER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.indexComponents.indexComponent.startByte"/>
              </xs:annotation>
            </xs:element>
            <!-- *** <environment><databases><database><tables><table><indexes><index><indexComponents><IndexComponent><length> *** -->
            <xs:element name="length" type="xs:positiveInteger" minOccurs="0" maxOccurs="1" >
              <xs:annotation>
                <xs:appinfo>column:INDEX_COMPONENTS.LENGTH datatype:INTEGER</xs:appinfo>
                <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.indexComponents.indexComponent.length"/>
              </xs:annotation>
            </xs:element>
          </xs:all>
          <!-- *** <environment><databases><database><tables><table><indexes><index><indexComponents><IndexComponent number=x> *** -->
          <xs:attribute name="number" type="xs:positiveInteger" use="optional" >
            <xs:annotation>
              <xs:appinfo>column:INDEX_COMPONENTS.NUMBER datatype:INTEGER</xs:appinfo>
              <xs:documentation source="Omnidex_xsd.htm#environment.databases.database.tables.table.indexes.index.indexComponents.indexComponent.number"/>
            </xs:annotation>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <!-- ******************* -->
  <!-- *** APPLICATION *** -->
  <!-- ******************* -->
  <xs:complexType name="applicationType">
    <xs:all>
      <!-- *** ...<application><prompt> *** -->
      <xs:element name="prompt" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:PROMPT datatype:CHARACTER(32)</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#application.prompt"/>
        </xs:annotation>
        <xs:simpleType>
          <xs:restriction base="xs:string">
            <xs:maxLength value="34" />
          </xs:restriction>
        </xs:simpleType>
      </xs:element>
      <!-- *** ...<application><heading> *** -->
      <xs:element name="heading" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:HEADING datatype:CHARACTER(32)</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#application.heading"/>
        </xs:annotation>
        <xs:simpleType>
          <xs:restriction base="xs:string">
            <xs:maxLength value="32" />
          </xs:restriction>
        </xs:simpleType>
      </xs:element>
      <!-- *** ...<application><label> *** -->
      <xs:element name="label" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:LABEL datatype:CHARACTER(32)</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#application.label"/>
        </xs:annotation>
        <xs:simpleType>
          <xs:restriction base="xs:string">
            <xs:maxLength value="33" />
          </xs:restriction>
        </xs:simpleType>
      </xs:element>
      <!-- *** ...<application><userData1> *** -->
      <xs:element name="userData1" type="xs:string" minOccurs="0" maxOccurs="1">
        <xs:annotation>
          <xs:appinfo>column:USERDATA1 datatype:CLOB</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#application.userData1"/>
        </xs:annotation>
      </xs:element>
      <!-- *** ...<application><userData2> *** -->
      <xs:element name="userData2" type="xs:string" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:USERDATA2 datatype:CLOB</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#application.userData2"/>
        </xs:annotation>
      </xs:element>
      <!-- *** ...<application><userData3> *** -->
      <xs:element name="userData3" type="xs:string" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:USERDATA3 datatype:CLOB</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#application.userData3"/>
        </xs:annotation>
      </xs:element>
    </xs:all>
  </xs:complexType>
  <!-- ********************* -->
  <!-- *** DOCUMENTATION *** -->
  <!-- ********************* -->
  <xs:complexType name="documentationType">
    <xs:all>
      <!-- *** ...<documentation><description> *** -->
      <xs:element name="description" type="xs:string" minOccurs="0" maxOccurs="1" >
        <xs:annotation>
          <xs:appinfo>column:DESCRIPTION datatype:CHARACTER(32)</xs:appinfo>
          <xs:documentation source="Omnidex_xsd.htm#application.label"/>
        </xs:annotation>
      </xs:element>
    </xs:all>
  </xs:complexType>
  <!-- ******************** -->
  <!-- *** SIMPLE TYPES *** -->
  <!-- ******************** -->
  <!-- *** nameType *** -->
  <xs:simpleType name="nameType">
    <xs:restriction base="xs:token">
      <xs:pattern value="[A-Za-z$][A-Za-z\d!@#$%^_]{0,31}" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** tokenType *** -->
  <xs:simpleType name="tokenType">
    <xs:restriction base="xs:token">
      <xs:maxLength value="32" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** physicalType *** -->
  <xs:simpleType name="physicalType">
    <xs:restriction base="xs:string">
      <xs:maxLength value="255" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** optionsType *** -->
  <xs:simpleType name="optionsType">
    <xs:restriction base="xs:string">
      <xs:maxLength value="255" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** datatypeType *** -->
  <xs:simpleType name="datatypeType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="UNKNOWN" />
      <xs:enumeration value="CHARACTER" />
      <xs:enumeration value="NATIONAL CHARACTER" />
      <xs:enumeration value="STRING" />
      <xs:enumeration value="NATIONAL STRING" />
      <xs:enumeration value="INTEGER" />
      <xs:enumeration value="TINYINT" />
      <xs:enumeration value="SMALLINT" />
      <xs:enumeration value="BIGINT" />
      <xs:enumeration value="UNSIGNED INTEGER" />
      <xs:enumeration value="UNSIGNED TINYINT" />
      <xs:enumeration value="UNSIGNED SMALLINT" />
      <xs:enumeration value="UNSIGNED BIGINT" />
      <xs:enumeration value="FLOAT" />
      <xs:enumeration value="DOUBLE" />
      <xs:enumeration value="ANSI DATE" />
      <xs:enumeration value="ODBC DATE" />
      <xs:enumeration value="ASCII DATE" />
      <xs:enumeration value="OMNIDEX DATE" />
      <xs:enumeration value="ANSI TIME" />
      <xs:enumeration value="ODBC TIME" />
      <xs:enumeration value="OMNIDEX TIME" />
      <xs:enumeration value="ANSI DATETIME" />
      <xs:enumeration value="ORACLE DATETIME" />
      <xs:enumeration value="C DATETIME" />
      <xs:enumeration value="VMS DATETIME" />
      <xs:enumeration value="ODBC DATETIME" />
      <xs:enumeration value="OMNIDEX DATETIME" />
      <xs:enumeration value="VARCHAR" />
      <xs:enumeration value="NATIONAL VARCHAR" />
      <xs:enumeration value="OMNIDEX VARCHAR" />
      <xs:enumeration value="CLOB" />
      <xs:enumeration value="NATIONAL CLOB" />
      <xs:enumeration value="OMNIDEX CLOB" />
      <xs:enumeration value="BLOB" />
      <xs:enumeration value="OMNIDEX BLOB" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** dataclassType *** -->
  <xs:simpleType name="dataclassType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="BINARY" />
      <xs:enumeration value="CHARACTER" />
      <xs:enumeration value="INTEGER" />
      <xs:enumeration value="FLOAT" />
      <xs:enumeration value="DATE" />
      <xs:enumeration value="ROWID" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** omnidexDomainType *** -->
  <xs:simpleType name="omnidexDomainType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="NONE" />
      <xs:enumeration value="IDSI" />
      <xs:enumeration value="TR" />
      <xs:enumeration value="TRR" />
      <xs:enumeration value="DR" />
      <xs:enumeration value="LINKED CHILD" />
      <xs:enumeration value="HYBRID IDSI" />
      <xs:enumeration value="HYBRID TR" />
      <xs:enumeration value="HYBRID TRR" />
      <xs:enumeration value="HYBRID DR" />
      <xs:enumeration value="ASK" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** indexMaintenanceType *** -->
  <xs:simpleType name="indexMaintenanceType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="OMNIDEX" />
      <xs:enumeration value="DBMS" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** environmentNodeTypeType *** -->
  <xs:simpleType name="environmentNodeTypeType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="PARTITIONED" />
      <xs:enumeration value="UNPARTITIONED" />
      <xs:enumeration value="ROLLUP" />
      <xs:enumeration value="UPDATE" />
      <xs:enumeration value="UNKNOWN" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** databaseTypeType *** -->
  <xs:simpleType name="databaseTypeType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="FILE" />
      <xs:enumeration value="ORACLE" />
      <xs:enumeration value="SQLSERVER" />
      <xs:enumeration value="ODBC" />
      <xs:enumeration value="MYSQL" />
      <xs:enumeration value="RMS" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** databaseSubtypeType *** -->
  <xs:simpleType name="databaseSubtypeType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="ORACLE" />
      <xs:enumeration value="SQLSERVER" />
      <xs:enumeration value="MYSQL" />
      <xs:enumeration value="ACCESS" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** tableTypeType *** -->
  <xs:simpleType name="tableTypeType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="TABLE" />
      <xs:enumeration value="PARTITIONED TABLE" />
      <xs:enumeration value="ROLLUP TABLE" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** tableCachingType *** -->
  <xs:simpleType name="tableCachingTypeType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="DYNAMIC" />
      <xs:enumeration value="NONE" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** tableConstraintType *** -->
  <xs:simpleType name="tableConstraintType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="PRIMARY" />
      <xs:enumeration value="FOREIGN" />
      <xs:enumeration value="UNIQUE" />
      <xs:enumeration value="DISTINCT" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** tablePersistenceType *** -->
  <xs:simpleType name="tablePersistenceType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="PERMANENT" />
      <xs:enumeration value="TEMPORARY" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** columnTypeType *** -->
  <xs:simpleType name="columnTypeType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="NATIVE"/>
      <xs:enumeration value="PSEUDOCOLUMN" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** columnFormatType *** -->
  <xs:simpleType name="columnFormatType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="" />
      <xs:enumeration value="CC" />
      <xs:enumeration value="YYYY" />
      <xs:enumeration value="YYYYMM" />
      <xs:enumeration value="YYYYMMDD" />
      <xs:enumeration value="YYYYMMDDHH" />
      <xs:enumeration value="YYYYMMDDHHNN" />
      <xs:enumeration value="YYYYMMDDHHNNSS" />
      <xs:enumeration value="YYYYMMDDHHNNSSFF" />
      <xs:enumeration value="YY" />
      <xs:enumeration value="YYMM" />
      <xs:enumeration value="YYMMDD" />
      <xs:enumeration value="YYMMDDHH" />
      <xs:enumeration value="YYMMDDHHNN" />
      <xs:enumeration value="YYMMDDHHNNSS" />
      <xs:enumeration value="YYMMDDHHNNSSFF" />
      <xs:enumeration value="MM" />
      <xs:enumeration value="MMDD" />
      <xs:enumeration value="MMDDHH" />
      <xs:enumeration value="MMDDHHNN" />
      <xs:enumeration value="MMDDHHNNSS" />
      <xs:enumeration value="MMDDHHNNSSFF" />
      <xs:enumeration value="DD" />
      <xs:enumeration value="DDHH" />
      <xs:enumeration value="DDHHNN" />
      <xs:enumeration value="DDHHNNSS" />
      <xs:enumeration value="DDHHNNSSFF" />
      <xs:enumeration value="HH" />
      <xs:enumeration value="HHNN" />
      <xs:enumeration value="HHNNSS" />
      <xs:enumeration value="HHNNSSFF" />
      <xs:enumeration value="NN" />
      <xs:enumeration value="NNSS" />
      <xs:enumeration value="NNSSFF" />
      <xs:enumeration value="SS" />
      <xs:enumeration value="SSFF" />
      <xs:enumeration value="FF" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** columnDefaultEnum *** -->
  <xs:simpleType name="columnDefaultEnum">
    <xs:restriction base="xs:token">
      <xs:enumeration value="NULL"/>
      <xs:enumeration value="USER" />
      <xs:enumeration value="CURRENT_USER" />
      <xs:enumeration value="SESSION_USER" />
      <xs:enumeration value="SYSTEM_USER" />
      <xs:enumeration value="DATE" />
      <xs:enumeration value="TIME" />
      <xs:enumeration value="TIMESTAMP" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** literalStringType *** -->
  <xs:simpleType name="literalStringType">
    <xs:restriction base="xs:string">
      <xs:pattern value="'.*'" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** columnDefaultType *** -->
  <xs:simpleType name="columnDefaultType">
    <xs:union memberTypes="columnDefaultEnum literalStringType xs:decimal xs:date xs:time xs:dateTime" />
  </xs:simpleType>
  <!-- *** columnCardinalityTypeType *** -->
  <xs:simpleType name="columnCardinalityTypeType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="UNKNOWN" />
      <xs:enumeration value="UNIQUE" />
      <xs:enumeration value="PROBABLY_UNIQUE" />
      <xs:enumeration value="NEARLY_UNIQUE" />
      <xs:enumeration value="HIGH" />
      <xs:enumeration value="MEDIUM" />
      <xs:enumeration value="LOW" />
      <xs:enumeration value="VERY_LOW" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** indexStateType *** -->
  <xs:simpleType name="indexStateType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="UNKNOWN" />
      <xs:enumeration value="AWAITING_BUILD" />
      <xs:enumeration value="BUILT" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** indexTypeType *** -->
  <xs:simpleType name="indexTypeType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="OMNIDEX" />
      <xs:enumeration value="QUICKTEXT" />
      <xs:enumeration value="FULLTEXT" />
      <xs:enumeration value="CUSTOM" />
      <xs:enumeration value="NATIVE" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** indexOptionsEnum *** -->
  <xs:simpleType name="indexOptionsEnum">
    <xs:restriction base="xs:token">
      <xs:enumeration value="KEYWORDING" />
      <xs:enumeration value="PROXIMITY" />
      <xs:enumeration value="BITMAP" />
      <xs:enumeration value="STANDALONE" />
      <xs:enumeration value="RECORD_SPECIFIC" />
      <xs:enumeration value="RECORD_COMPLEX" />
      <xs:enumeration value="EXCLUDED_WORDS" />
      <xs:enumeration value="PHONETIC" />
      <xs:enumeration value="AGGREGATIONS" />
    </xs:restriction>
  </xs:simpleType>
  <!-- *** indexOptionsList *** -->
  <xs:simpleType name="indexOptionsList">
    <xs:list itemType="indexOptionsEnum"/>
  </xs:simpleType>
  <!-- *** indexOptionsType *** -->
  <xs:simpleType name="indexOptionsType">
    <xs:restriction base="indexOptionsList">
      <xs:minLength value="0"/>
    </xs:restriction>
  </xs:simpleType>
</xs:schema>
